### Enumeration

# Clutter DebugFlag

since: 13

#### Declaration

    flags Clutter.DebugFlag

#### Description

No description available.

Available since: 13

#### Members

`CLUTTER_DEBUG_MISC`
  No description available.
  - Value: `1`
  - Nickname: `misc`
  - Available since: 13
`CLUTTER_DEBUG_ACTOR`
  No description available.
  - Value: `2`
  - Nickname: `actor`
  - Available since: 13
`CLUTTER_DEBUG_TEXTURE`
  No description available.
  - Value: `4`
  - Nickname: `texture`
  - Available since: 13
`CLUTTER_DEBUG_EVENT`
  No description available.
  - Value: `8`
  - Nickname: `event`
  - Available since: 13
`CLUTTER_DEBUG_PAINT`
  No description available.
  - Value: `16`
  - Nickname: `paint`
  - Available since: 13
`CLUTTER_DEBUG_PANGO`
  No description available.
  - Value: `32`
  - Nickname: `pango`
  - Available since: 13
`CLUTTER_DEBUG_BACKEND`
  No description available.
  - Value: `64`
  - Nickname: `backend`
  - Available since: 13
`CLUTTER_DEBUG_SCHEDULER`
  No description available.
  - Value: `128`
  - Nickname: `scheduler`
  - Available since: 13
`CLUTTER_DEBUG_SCRIPT`
  No description available.
  - Value: `256`
  - Nickname: `script`
  - Available since: 13
`CLUTTER_DEBUG_SHADER`
  No description available.
  - Value: `512`
  - Nickname: `shader`
  - Available since: 13
`CLUTTER_DEBUG_MULTISTAGE`
  No description available.
  - Value: `1024`
  - Nickname: `multistage`
  - Available since: 13
`CLUTTER_DEBUG_ANIMATION`
  No description available.
  - Value: `2048`
  - Nickname: `animation`
  - Available since: 13
`CLUTTER_DEBUG_LAYOUT`
  No description available.
  - Value: `4096`
  - Nickname: `layout`
  - Available since: 13
`CLUTTER_DEBUG_PICK`
  No description available.
  - Value: `8192`
  - Nickname: `pick`
  - Available since: 13
`CLUTTER_DEBUG_EVENTLOOP`
  No description available.
  - Value: `16384`
  - Nickname: `eventloop`
  - Available since: 13
`CLUTTER_DEBUG_CLIPPING`
  No description available.
  - Value: `32768`
  - Nickname: `clipping`
  - Available since: 13
`CLUTTER_DEBUG_OOB_TRANSFORMS`
  No description available.
  - Value: `65536`
  - Nickname: `oob-transforms`
  - Available since: 13
`CLUTTER_DEBUG_FRAME_TIMINGS`
  No description available.
  - Value: `131072`
  - Nickname: `frame-timings`
  - Available since: 13
`CLUTTER_DEBUG_DETAILED_TRACE`
  No description available.
  - Value: `262144`
  - Nickname: `detailed-trace`
  - Available since: 13
`CLUTTER_DEBUG_GRABS`
  No description available.
  - Value: `524288`
  - Nickname: `grabs`
  - Available since: 13
`CLUTTER_DEBUG_FRAME_CLOCK`
  No description available.
  - Value: `1048576`
  - Nickname: `frame-clock`
  - Available since: 13